defmodule Chronoscope.NTSTest do
  use Chronoscope.Case

  import Chronoscope.NTS

  describe "Chronoscope.NTS.healthy?()" do
    test "is healthy" do
      assert healthy?() == true
    end
  end

  describe "Chronoscope.NTS.list()" do
    test "shows empty client list" do
      assert list() == []
    end
  end

  describe "Chronoscope.NTS.remove()" do
    test "does nothing if the client doesn't exist" do
      assert remove("localhost", 1111) == {:error, :notfound}
    end
  end
end
